warning('off','all')

theta_max = 0.1; 

%% Start velocity greater than zero
A = [0 0 0 0 0 0 0 -1;
    0 0 0 0 0 0 0 1];

b = [-1e-8; 1e-5];

%% End velocity equal zero 
Aeq = [theta_max^7 theta_max^6 theta_max^5 theta_max^4 theta_max^3 theta_max^2 theta_max 1];
beq = 0; 

%% Starting point
alpha_0 = [145.549702548604 25.7177072520031 405.530824552361 -548.286652670047 0.498464404114834 -68.3201671183866 7.33426325397013 9.96488420379099e-06];

%% Optimization settings
options = optimset('Display', 'iter');

%% Optimization
[x, fval] = fmincon(@errorfun, alpha_0, A, b, Aeq, beq, [], [], @constraint, options); 

