function [c, ceq] = constraint(alpha)
    h = []; 
    dphi = []; 
    
    %% CHANGE
    z = 0.13;
    %x = 0.55; 
    y = 0; 
    
    %% DH parameters of robot
    d1 = .4865;
    d4 = .600;
    d6 = .065;
    a1 = .15;
    a2 = .475;
    a3 = d4 + d6; 
    
    for i = 1:101
        theta(i) = (i-1)*0.001;
        h(i) = (alpha(1)*theta(i)^7 + alpha(2)*theta(i)^6 + alpha(3)*theta(i)^5 + alpha(4)*theta(i)^4 + alpha(5)*theta(i)^3 + alpha(6)*theta(i)^2 + alpha(7)*theta(i) + alpha(8)); 
        
        %% X Movement CHANGE
        x = theta(i) + 0.45; 
        dphi_temp = transpose([-y / x ^ 2 / (y ^ 2 / x ^ 2 + 1) -0.2e1 * (0.1e1 / (d4 + d6) * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) ^ (-0.1e1 / 0.2e1) * ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ (-0.1e1 / 0.2e1) * ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) / a2 ^ 2 * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * x - (d4 + d6) * sqrt(0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) * ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ (-0.3e1 / 0.2e1) * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * x / 0.2e1) * (-(d4 + d6) ^ 2 * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) / ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) + 0.4e1) ^ (-0.1e1 / 0.2e1) - (d1 - z) / (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2 * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * x / ((d1 - z) ^ 2 / (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2 + 0.1e1) -0.2e1 * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * x / (d4 + d6) / a2 * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) ^ (-0.1e1 / 0.2e1)]);

%         %% Y movement CHANGE
%         y = 0.1 - theta(i); 
%         dphi_temp = transpose([1 / x / (y ^ 2 / x ^ 2 + 1) -0.2e1 * (0.1e1 / (d4 + d6) * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) ^ (-0.1e1 / 0.2e1) * ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ (-0.1e1 / 0.2e1) * ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) / a2 ^ 2 * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * y - (d4 + d6) * sqrt(0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) * ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ (-0.3e1 / 0.2e1) * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * y / 0.2e1) * (-(d4 + d6) ^ 2 * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) / ((d1 - z) ^ 2 + (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) + 0.4e1) ^ (-0.1e1 / 0.2e1) - (d1 - z) / (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2 * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * y / ((d1 - z) ^ 2 / (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2 + 0.1e1) -0.2e1 * (sqrt((x ^ 2 + y ^ 2)) - a1) * ((x ^ 2 + y ^ 2) ^ (-0.1e1 / 0.2e1)) * y / (d4 + d6) / a2 * (0.4e1 - ((d4 + d6) ^ 2 + a2 ^ 2 - (d1 - z) ^ 2 - (sqrt((x ^ 2 + y ^ 2)) - a1) ^ 2) ^ 2 / (d4 + d6) ^ 2 / a2 ^ 2) ^ (-0.1e1 / 0.2e1)]);

        dphi = [dphi; (abs(dphi_temp*h(i)) - [2.6180 2.7925 2.9671]')];
    end
    c = -h(1:10)';
    c = [c; -h(11:end-10)' + 0.0025]; 
    c = [c; -h(end-9:end)']; 
    c = [c; dphi];
    ceq = []; 
end