%% Positive X
x0 = 0.45;
y0 = 0;
z0 = 0.13;

%% Positive Y 
x0 = 0.55;
y0 = 0;
z0 = 0.13;

%% Negative X
x0 = 0.55;
y0 = 0.1;
z0 = 0.13;

%% Negative Y 
x0 = 0.45;
y0 = 0.1;
z0 = 0.13;

delta_vec = [ 0.01  0.0125  0.12 ;
              -0.1  0.012  -0.0125;
               0.1  -0.002  0.01;
               0.1  0.07  0.01; 
              -0.07  0.001  -0.01; 
              0.012 0.07  0.01;
               -0.012 0.07  -0.01; 
               -0.1  -0.002  -0.01;
                0.1  0.07  -0.01;
                0.1   -0.01 0.07];

for i = 1:length(delta_vec)
    x = x0 + delta_vec(i,1)*1e-3;
    y = y0 + delta_vec(i,2)*1e-3; 
    z = z0 + delta_vec(i,3)*1e-3;
    dv(i,:)= rad2deg(InverseKinematics(0,0,0,x0,y0,z0)- InverseKinematics(0,0,0,x,y,z))
end
